<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.camera.view.PreviewView
        android:id="@+id/scan_qr"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <View
        android:id="@+id/frame_overlay"
        android:layout_width="match_parent"
        android:layout_height="250dp"
        android:layout_marginHorizontal="13dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/overlay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/transparent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_toolbar_scan"
        android:paddingTop="24dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            app:srcCompat="@drawable/ic_close_x" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="10dp"
            android:text="@string/scan_id"
            android:textColor="@android:color/white"
            android:textSize="18sp" />

    </RelativeLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_scan_out_qr"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_3x_size"
        android:gravity="center_horizontal"
        android:text="Scan Outlet QR code"
        android:textColor="@color/white"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/frame_overlay" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_or"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:gravity="center_horizontal"
        android:textStyle="bold"
        android:text="OR"
        android:textColor="@color/white"
        android:textSize="@dimen/large_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_scan_out_qr" />

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_type_outlet_code"
        android:layout_width="150dp"
        android:layout_height="40dp"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:background="@drawable/bg_box_white_stroke_primary"
        android:gravity="center"
        android:paddingStart="@dimen/margin_2x_size"
        android:paddingEnd="@dimen/margin_2x_size"
        android:text="Type outlet code"
        android:textColor="@color/colorPrimary"
        android:textSize="@dimen/small_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_or" />

</androidx.constraintlayout.widget.ConstraintLayout>


